Alpine Linux - Bug #6829
Bug # 6827 (Closed): bind: Combination of DNS64 and RPZ Can Lead to Crash (CVE-2017-3135)

[3.5] bind: Combination of DNS64 and RPZ Can Lead to Crash (CVE-2017-3135)
02/09/2017 09:14 AM - Alicha CH

Status: Closed Start date: 02/09/2017
Priority: Normal Due date:

Assignee: Natanael Copa % Done: 100%
Category: Security Estimated time: 0.00 hour
Target version: 3.5.2

Affected versions: Security IDs:

Description

Under some conditions when using both DNS64 and RPZ to rewrite query responses, query processing can resume in an
inconsistent state leading to either an INSIST assertion failure or an attempt to read through a NULL pointer.

Affected versions:

9.9.3-S1 -> 9.9.9-S7, 9.9.3 -> 9.9.9-P5, 9.9.10b1, 9.10.0 -> 9.10.4-P5, 9.10.5b1, 9.11.0 -> 9.11.0-P2, 9.11.1b1
Fixed in:

BIND 9 version 9.9.9-P6

BIND 9 version 9.10.4-P6

BIND 9 version 9.11.0-P3

Reference:

https://kb.isc.org/article/AA-01453

Associated revisions

Revision 20069650 - 02/13/2017 12:31 PM - Sergei Lukin
main/bind: security upgrade to 9.10.4_p6 - fixes #6829

CVE-2017-3135: Combination of DNS64 and RPZ Can Lead to Crash

History

#1 - 02/13/2017 03:54 PM - Sergei Lukin
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset alpine:2006965010ab8e8b86d6a88029681fef1a75f7b6.

#2 - 02/15/2017 09:31 AM - Alicha CH
- Category set to Security

- Status changed from Resolved to Closed
